Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 710346 - app-editors/elvis-2.2.0-r8 : * sed 1 failed
Summary: app-editors/elvis-2.2.0-r8 : * sed 1 failed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Vim Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: colon-in-CFLAGS
  Show dependency tree
 
Reported: 2020-02-20 21:12 UTC by Toralf Förster
Modified: 2020-06-21 14:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.11 KB, text/plain)
2020-02-20 21:12 UTC, Toralf Förster
Details
app-editors:elvis-2.2.0-r8:20200220-205513.log (app-editors:elvis-2.2.0-r8:20200220-205513.log,2.40 KB, text/plain)
2020-02-20 21:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,86.87 KB, text/plain)
2020-02-20 21:12 UTC, Toralf Förster
Details
environment (environment,59.13 KB, text/plain)
2020-02-20 21:12 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.48 KB, application/x-bzip)
2020-02-20 21:12 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,15.18 KB, application/x-bzip)
2020-02-20 21:12 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-20 21:12:22 UTC
 * ERROR: app-editors/elvis-2.2.0-r8::gentoo failed (configure phase):
 *   sed 1 failed
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20200218-201111

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 20 Feb 2020 19:38:28 +0000

emerge -qpvO app-editors/elvis
[ebuild  N    ] app-editors/elvis-2.2.0-r8  USE="X -doc"
Comment 1 Toralf Förster gentoo-dev 2020-02-20 21:12:25 UTC
Created attachment 614768 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-20 21:12:28 UTC
Created attachment 614770 [details]
app-editors:elvis-2.2.0-r8:20200220-205513.log
Comment 3 Toralf Förster gentoo-dev 2020-02-20 21:12:31 UTC
Created attachment 614772 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-02-20 21:12:33 UTC
Created attachment 614774 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-02-20 21:12:36 UTC
Created attachment 614776 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-20 21:12:39 UTC
Created attachment 614778 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-06-21 14:58:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02ecef7626c6add4e6df2b96a8f8098f57cd5aff

commit 02ecef7626c6add4e6df2b96a8f8098f57cd5aff
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2020-06-21 14:44:08 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2020-06-21 14:57:53 +0000

    app-editors/elvis: various fixes.
    
    * remove colons as sed delimiters.
    * honour CFLAGS.
    
    Closes: https://bugs.gentoo.org/710346
    Closes: https://bugs.gentoo.org/722058
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Patrice Clement <monsieurp@gentoo.org>

 app-editors/elvis/elvis-2.2.0-r8.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)